/*
 * Copyright (c) 2006-2015 DMDirc Developers
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.dmdirc.addons.qauth;

import com.dmdirc.ClientModule;
import com.dmdirc.plugins.PluginDomain;
import com.dmdirc.plugins.PluginInfo;

import dagger.Module;
import dagger.Provides;

/**
 * Dagger injection module for the  Q Auth plugin
 */
@Module(injects = QAuthManager.class, addsTo = ClientModule.class)
public class QAuthModule {

    private final PluginInfo pluginInfo;

    public QAuthModule(final PluginInfo pluginInfo) {
        this.pluginInfo = pluginInfo;
    }

    @Provides
    @PluginDomain(QAuthPlugin.class)
    public String getSettingsDomain() {
        return pluginInfo.getDomain();
    }

    @Provides
    @PluginDomain(QAuthPlugin.class)
    public PluginInfo getPluginInfo() {
        return pluginInfo;
    }
}
